<template>
  <div class="container">
    <div class="card">
      <img src="/logo.png" alt="BhariPay Logo" class="logo" />
      <p class="tagline">Uniting Differences, Amplifying Success in Payments.</p>
      <h2>Thank You!</h2>
      <p>Your payment was successful. Redirecting you to your invoice...</p>
      <div class="thumbs-up-container">
        <div class="thumbs-up">&#128077;</div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  mounted() {
    const urlParams = new URLSearchParams(window.location.search);
    const invoiceId = urlParams.get('invoiceId');

    setTimeout(() => {
      window.location.href = `${process.env.WHMCS_URL}/viewinvoice.php?id=${invoiceId}`;
    }, 5000);
  }
}
</script>

<style>
/* Add your CSS styles here */
.container {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh;
  background: linear-gradient(to bottom, #1e3c72, #2a5298);
  font-family: Arial, sans-serif;
}

.card {
  background-color: white;
  padding: 20px 40px;
  border-radius: 10px;
  text-align: center;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

.logo {
  width: 150px;
  height: auto;
  margin-bottom: 20px;
}

.title {
  font-size: 2rem;
  color: #00a65a;
  margin: 0;
}

.tagline {
  font-size: 1rem;
  color: #555;
  margin: 10px 0 0 0;
}

.thumbs-up-container {
  margin-top: 20px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.thumbs-up {
  font-size: 4rem;
  animation: bounce 2s infinite;
}

@keyframes bounce {
  0%, 20%, 50%, 80%, 100% {
    transform: translateY(0);
  }
  40% {
    transform: translateY(-30px);
  }
  60% {
    transform: translateY(-15px);
  }
}
</style>
